StocksAndFisheriesKB - Bug #23549
Feature # 23449 (Feedback): The GRSF Management Panel must be made available also in the "GRSF_Pre" VRE

GRSF_Manage_Widget: serialization issue on the GRSFRecordAlreadyManagedStatusException
java object

Jun 21, 2022 11:58 AM - Francesco Mangiacrapa

Status: Closed Start date: Jun 21, 2022
Priority: Normal Due date:

Assignee: Francesco Mangiacrapa % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

Since https://support.d4science.org/issues/23449#note-20

We need to fix the following issue:

2022-06-21 09:55:46,626 INFO o.g.d.u.s.DataCatalogueImpl [ajp-bio-8009-exec-48,getDataset:319] [PO
RTAL] 2145677426 [ajp-bio-8009-exec—-48] INFO org.gcube.datacatalogue.utillibrary.server.DataCatal
ogueImpl - Called getDataset with id or namedba95acf-491b-47a2-b742-57e50afd9%de3 and username: fra
ncesco.mangiacrapa
2022-06-21 09:55:46,627 INFO o.g.d.u.s.DataCatalogueImpl [ajp-bio-8009-exec-48,getDataset:328] [PO
RTAL] 2145677427 [ajp-bio-8009-exec-48] INFO org.gcube.datacatalogue.utillibrary.server.DataCatal
ogueImpl - username found. Calling the ExtendCkanClient
2022-06-21 09:55:46,642 INFO o.g.d.u.j.CkanClient [ajp-bio-8009-exec-48,getHttp:511] [PORTAL] 2145
677442 [ajp-bio-8009-exec—-48] INFO org.gcube.datacatalogue.utillibrary.jackan.CkanClient - gettin
g {0}
Jun 21, 2022 9:55:46 AM org.apache.catalina.core.ApplicationContext log
SEVERE: Exception while dispatching incoming RPC call
com.google.gwt.user.client.rpc.SerializationException: Type 'org.gcube.datacatalogue.grsf_manage_w
idget.shared.ex.GRSFRecordAlreadyManagedStatusException' was not included in the set of types whic
h can be serialized by this SerializationPolicy or its Class object could not be loaded. For secur
ity purposes, this type will not be serialized.: instance = org.gcube.datacatalogue.grsf_manage_wi
dget .shared.ex.GRSFRecordAlreadyManagedStatusException: The record is locked due to a merge reques
t in progress!

at com.google.gwt.user.server.rpc.impl.ServerSerializationStreamWriter.serialize (ServerSeriali
zationStreamWriter. java:667)

at com.google.gwt.user.client.rpc.impl.AbstractSerializationStreamWriter.writeObject (Abstract$sS
erializationStreamWriter.java:126)

at com.google.gwt.user.server.rpc.impl.ServerSerializationStreamWriter$ValueWriter$8.write (Ser
verSerializationStreamWriter.java:153)

at com.google.gwt.user.server.rpc.impl.ServerSerializationStreamWriter.serializeValue (ServerSe
rializationStreamWriter. java:587)

at com.google.gwt.user.server.rpc.RPC.encodeResponse (RPC. java:605)

at com.google.gwt.user.server.rpc.RPC.encodeResponseForFailure (RPC. java:393)

History

#1 - Jun 21, 2022 12:00 PM - Francesco Mangiacrapa

- Subject changed from Serializaion issue on the GRSFRecordAlreadyManagedStatusException java object. to Serialization issue on the
GRSFRecordAlreadyManagedStatusException java object.

#2 - Jun 22, 2022 11:08 AM - Francesco Mangiacrapa

- Status changed from New to In Progress
#3 - Jun 22, 2022 03:07 PM - Francesco Mangiacrapa
- Subject changed from Serialization issue on the GRSFRecordAlreadyManagedStatusException java object. to GRSF_Manage Widget: serialization

issue on the GRSFRecordAlreadyManagedStatusException java object

#5 - Jun 22, 2022 04:26 PM - Francesco Mangiacrapa
- % Done changed from 0 to 90
#6 - Jul 25, 2022 03:11 PM - Francesco Mangiacrapa
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Fixed in Production
